curl --request GET \
--url https://api.gcore.com/cloud/v1/faas/namespaces/{project_id}/{region_id}/{namespace_name}/functions/{function_name} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v1/faas/namespaces/{project_id}/{region_id}/{namespace_name}/functions/{function_name}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/faas/namespaces/{project_id}/{region_id}/{namespace_name}/functions/{function_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"autoscaling": {
"max_instances": 2,
"min_instances": 1
},
"build_message": "Building",
"build_status": "Building",
"code_text": "def main():\n return 'Hello World'",
"created_at": "2023-08-22T11:21:00Z",
"dependencies": "numpy==1.21.0\npandas==1.3.0",
"deploy_status": {
"deployed": 1
},
"description": "This is a sample function.",
"endpoint": "https://example.com/function-name",
"flavor": "64m-64MB",
"id": "c8a920ad-b5a4-47d5-b8b9-0e6c35cd800f",
"main_method": "run",
"name": "function-name",
"runtime": "python3.7.12",
"status": "Running",
"timeout": 5,
"enable_api_key": true,
"envs": {
"ENV_VAR": "value"
}
}Get function
Retrieve detailed information about a specific function. Includes function code, configuration, and deployment status.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
1
Region ID
1
Namespace name
^[a-z][-a-z0-9]{0,24}[a-z0-9]$"namespace-name"
Function name
^[a-z][-a-z0-9]{0,24}[a-z0-9]$"function-name"
Response
OK
Autoscaling configuration for the function. Keys must be 'min_instances' or 'max_instances', and values must be integers between 0 and 50.
Show child attributes
Show child attributes
{ "max_instances": 2, "min_instances": 1 }
Function build message.
"Building"
Function build status.
"Building"
Function code text.
1 - 100000"def main():\n return 'Hello World'"
Function creation date.
"2023-08-22T11:21:00Z"
Dependencies for the function to install.
100000"numpy==1.21.0\npandas==1.3.0"
Function deploy status.
Show child attributes
Show child attributes
{ "deployed": 1 }
Description of the function.
255"This is a sample function."
Function endpoint.
"https://example.com/function-name"
The name of the flavor associated with the function.
"64m-64MB"
Function ID.
"c8a920ad-b5a4-47d5-b8b9-0e6c35cd800f"
The main startup method name.
1 - 100"run"
Function name.
^[a-z][-a-z0-9]{0,24}[a-z0-9]$"function-name"
Function runtime.
"python3.7.12"
Function status.
"Running"
Function timeout in seconds.
0 <= x <= 1805
Enable or disable API key authentication.
true
Environment variables for the function. Keys must match a specific regex pattern and be 1-255 characters long, and values must be 0-255 characters long.
Show child attributes
Show child attributes
{ "ENV_VAR": "value" }
Was this page helpful?